package com.hzya.frame.mdm.mdmModuleSendLog.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据模版(MdmModuleSendLog)实体类
 *
 * @author makejava
 * @since 2024-06-05 16:11:10
 */
public class MdmModuleSendLogEntity extends BaseEntity {
    //主数据表名
    private String tableName;
    //主数据编码
    private Long mdmCode;
  /**  主表id */
   private String formmainId;
  /**  目标应用 */
   private String targetApp;
  /**  目标api */
   private String targetApi;
  /**  源数据 */
   private String sourceData;
  /**  状态 1、成功2、失败 */
   private String dataType;
    /**  备注 */
    private String remark;
  /**  操作类型 1新增2、修改3、删除*/
   private String optionType;
  /**  公司id */
   private String companyId;
  /**  下发表id */
   private String distributeId;
  /**  应用id */
   private String appId;
  /**  apiID */
   private String apiId;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getTargetApp() {
        return targetApp;
    }

    public void setTargetApp(String targetApp) {
        this.targetApp = targetApp;
    }

    public String getTargetApi() {
        return targetApi;
    }

    public void setTargetApi(String targetApi) {
        this.targetApi = targetApi;
    }

    public String getSourceData() {
        return sourceData;
    }

    public void setSourceData(String sourceData) {
        this.sourceData = sourceData;
    }

    public String getOptionType() {
        return optionType;
    }

    public void setOptionType(String optionType) {
        this.optionType = optionType;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Long getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(Long mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getDistributeId() {
        return distributeId;
    }

    public void setDistributeId(String distributeId) {
        this.distributeId = distributeId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getApiId() {
        return apiId;
    }

    public void setApiId(String apiId) {
        this.apiId = apiId;
    }
}

